Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleGetSize

Retrieves the dimension of the ensemble in a `PetscDA`.

## Synopsis

    PetscErrorCode PetscDAEnsembleGetSize(PetscDA da, PetscInt *ensemble_size)

Not Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameters

- ensemble_size - number of ensemble members

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDASetSizes()`, `PetscDAGetSizes()`

## Level

beginner

## Location

src/ml/da/impls/ensemble/daensemble.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages